# contact printer

A desktop 16mm contact printer and film transport platform made using 3D printing and aluminum extrusion.

## [Project Home: git.sixteenmillimeter.com/16mm/contact_printer](https://git.sixteenmillimeter.com/16mm/contact_printer)

## Acknowledgements

Developed with support from [Filmwerkplaats at WORM](https://worm.org/spaces/filmwerkplaats/) and [SPECTRAL](http://www.spectral-cinematics.eu/).

Special thanks to [Esther Urlus](https://estherurlus.hotglue.me/), [Hrvoje Spudić](https://hrvojespudic.net/) and [Nan Wang](https://nanwang.org/).

Magnetic clutch design inspired by Clyde Shaffer's [Shaffer Linear Processor](https://clydeshaffer.com/slp/).

---

## Description

This contact printer is designed to make 16mm prints using affordable electronics and 3D printing.
It is *not* intended as a replacement for professional printers like the Bell & Howell Model C.
This project is for DIY filmmakers, independent artists and small film labs to have a machine that can produce reasonable-quality work prints with a small footprint on short lengths of film easily.


---

![contact printer render](./img/contact_printer.png)

---

# Examples

[Contact](https://vimeo.com/flashfra/contact?share=git) the first print made on the prototype during a residency at [Filmwerkplaats](https://filmwerkplaats.org/).
Soundtrack applied by the opt_snd soundtrack recorder system by [Hrvoje Spudić](https://hrvojespudic.net/optical-sound-2).

# Bill of Materials

Below are estimates based on per-unit costs found online.
Actual price of a full build may be higher.

<!-- bom -->

|                Part                 | Qty  | Cost (USD) |                   Minumum                   |
|-------------------------------------|------|------------|---------------------------------------------|
| M4 hex bolt 40mm                    | 4    | $2.44      | [10 for $6.09](https://amzn.to/4ikpYL8)     |
| M3 sliding t slot nut               | 25   | $1.43      | [105 for $5.99](https://amzn.to/48GRrSU)    |
| M3 hex cap bolt 8mm                 | 25   | $2.25      | [100 for $8.99](https://amzn.to/3YEvWNB)    |
| M3 hex cap bolt 6mm                 | 8    | $0.59      | [100 for $7.26](https://amzn.to/3AwiZxo)    |
| M3 hex cap bolt 12mm                | 1    | $0.09      | [100 for $8.36](https://amzn.to/48CGa5Y)    |
| L298N Motor driver module           | 1    | $2.88      | [4 for $11.49](https://amzn.to/4ellssy)     |
| ESP32 GPIO breakout board           | 1    | $6.00      | [2 for $11.99](https://amzn.to/3UFjpbO)     |
| ESP32 Dev board                     | 1    | $6.67      | [3 for $19.99](https://amzn.to/3NXCvGj)     |
| 608-RS Ball Bearing                 | 1    | $0.18      | [100 for $17.79](https://amzn.to/4fKxDA7)   |
| 250RPM DC geared motor              | 2    | $29.98     | [1 for $14.99](https://amzn.to/3NWkcRL)     |
| 2020 Aluminum extrusion mm          | 1880 | $11.41     | [12200 for $73.99](https://amzn.to/418OicC) |
| 100RPM DC geared motor with encoder | 1    | $16.19     | [1 for $16.19](https://amzn.to/3UF707G)     |
|---------|------|--------|---------|
| TOTAL   | 1950 | $80.11 | $203.12 |




<!-- /bom -->

### Mirrors

* [github.com/sixteenmillimeter/contact_printer](https://github.com/sixteenmillimeter/contact_printer)
* [gitlab.com/16mm/contact_printer](https://gitlab.com/16mm/contact_printer)
